<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#073388">

    <xn.xxp.widget.HomeTitleBar
        android:id="@+id/titleBar"
        android:layout_width="0dp"
        android:layout_height="56dp"
        android:background="@mipmap/img_navigation_bg"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/right_view"
        android:layout_width="207dp"
        android:layout_height="0dp"
        android:layout_marginTop="17dp"
        android:layout_marginEnd="16dp"
        android:layout_marginBottom="13dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toTopOf="@id/bottom_view"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/titleBar">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/dutyLayout"
            android:layout_width="match_parent"
            android:layout_height="90dp"
            app:layout_constraintBottom_toTopOf="@id/experimentLayout"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="10dp"
                android:background="@drawable/shape_rect_round_11_solid_white"
                android:orientation="vertical"
                app:layout_constraintStart_toStartOf="parent">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="18dp"
                    android:layout_marginTop="8dp"
                    android:text="值班人员"
                    android:textColor="#FF0B85F8"
                    android:textSize="14sp" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginTop="6dp"
                    android:background="#E0E0E0" />

                <AdapterViewFlipper
                    android:id="@+id/dutyPerson"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="11dp"
                    android:layout_marginTop="11dp"
                    android:layout_marginEnd="11dp"
                    android:layout_marginBottom="11dp" />

                <ImageView
                    android:id="@+id/dutyPersonEmpty"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="11dp"
                    android:layout_marginTop="11dp"
                    android:layout_marginEnd="11dp"
                    android:layout_marginBottom="11dp"
                    android:contentDescription="@null"
                    android:scaleType="centerInside"
                    android:src="@mipmap/no_data" />

            </LinearLayout>

            <View
                android:id="@+id/dutyExpand_bg"
                android:layout_width="10dp"
                android:layout_height="33dp"
                android:background="@mipmap/img_tx"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/dutyExpand"
                android:layout_width="22dp"
                android:layout_height="22dp"
                android:contentDescription="@null"
                android:paddingStart="6dp"
                android:paddingTop="7dp"
                android:paddingEnd="6dp"
                android:paddingBottom="7dp"
                android:src="@mipmap/icon_sy_zzk"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.constraintlayout.widget.Group
                android:id="@+id/dutyExpand_group"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:constraint_referenced_ids="dutyExpand_bg,dutyExpand" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/experimentLayout"
            android:layout_width="match_parent"
            android:layout_height="90dp"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="10dp"
            app:layout_constraintBottom_toTopOf="@id/accessLayout"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/dutyLayout">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="10dp"
                android:background="@drawable/shape_rect_round_11_solid_white"
                android:orientation="vertical"
                app:layout_constraintStart_toStartOf="parent">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="18dp"
                    android:layout_marginTop="8dp"
                    android:text="实验人员"
                    android:textColor="#FF0B85F8"
                    android:textSize="14sp" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginTop="6dp"
                    android:background="#E0E0E0" />

                <AdapterViewFlipper
                    android:id="@+id/experimentPerson"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="11dp"
                    android:layout_marginTop="11dp"
                    android:layout_marginEnd="11dp"
                    android:layout_marginBottom="11dp" />

                <ImageView
                    android:id="@+id/experimentPersonEmpty"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="11dp"
                    android:layout_marginTop="11dp"
                    android:layout_marginEnd="11dp"
                    android:layout_marginBottom="11dp"
                    android:contentDescription="@null"
                    android:scaleType="centerInside"
                    android:src="@mipmap/no_data" />

                <!--    <com.dlc.eboard.ui.widget.LooperRecyclerView
                        android:id="@+id/experimentPerson"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="11dp"
                        android:layout_marginTop="11dp"
                        android:layout_marginEnd="11dp"
                        android:layout_marginBottom="11dp" />-->

            </LinearLayout>

            <View
                android:id="@+id/experimentExpand_bg"
                android:layout_width="10dp"
                android:layout_height="33dp"
                android:background="@mipmap/img_tx"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/experimentExpand"
                android:layout_width="22dp"
                android:layout_height="22dp"
                android:contentDescription="@null"
                android:paddingStart="6dp"
                android:paddingTop="7dp"
                android:paddingEnd="6dp"
                android:paddingBottom="7dp"
                android:src="@mipmap/icon_sy_zzk"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.constraintlayout.widget.Group
                android:id="@+id/experimentExpand_group"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:constraint_referenced_ids="experimentExpand_bg,experimentExpand" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/accessLayout"
            android:layout_width="match_parent"
            android:layout_height="90dp"
            android:layout_marginBottom="10dp"
            app:layout_constraintBottom_toTopOf="@id/eBook"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/experimentLayout">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="10dp"
                android:background="@drawable/shape_rect_round_11_solid_white"
                android:orientation="vertical"
                app:layout_constraintStart_toStartOf="parent">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="18dp"
                    android:layout_marginTop="8dp"
                    android:text="准入人员"
                    android:textColor="#FF0B85F8"
                    android:textSize="14sp" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginTop="6dp"
                    android:background="#E0E0E0" />

                <AdapterViewFlipper
                    android:id="@+id/accessPerson"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="11dp"
                    android:layout_marginTop="11dp"
                    android:layout_marginEnd="11dp"
                    android:layout_marginBottom="11dp" />

                <ImageView
                    android:id="@+id/accessPersonEmpty"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="11dp"
                    android:layout_marginTop="11dp"
                    android:layout_marginEnd="11dp"
                    android:layout_marginBottom="11dp"
                    android:contentDescription="@null"
                    android:scaleType="centerInside"
                    android:src="@mipmap/no_data" />

            </LinearLayout>

            <View
                android:id="@+id/accessExpand_bg"
                android:layout_width="10dp"
                android:layout_height="33dp"
                android:background="@mipmap/img_tx"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/accessExpand"
                android:layout_width="22dp"
                android:layout_height="22dp"
                android:contentDescription="@null"
                android:paddingStart="6dp"
                android:paddingTop="7dp"
                android:paddingEnd="6dp"
                android:paddingBottom="7dp"
                android:src="@mipmap/icon_sy_zzk"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.constraintlayout.widget.Group
                android:id="@+id/accessExpand_group"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:constraint_referenced_ids="accessExpand_bg,accessExpand" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/eBook"
            android:layout_width="match_parent"
            android:layout_height="52dp"
            android:layout_marginBottom="10dp"
            android:background="@mipmap/img_bg_kclb"
            app:layout_constraintBottom_toTopOf="@id/singIn"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">

            <ImageView
                android:id="@+id/eBook_image"
                android:layout_width="26dp"
                android:layout_height="23dp"
                android:layout_marginStart="19dp"
                android:contentDescription="@null"
                android:src="@mipmap/icon_sy_kclb"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="18dp"
                android:text="课程列表"
                android:textColor="@android:color/white"
                android:textSize="11sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/eBook_image"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="SmallSp" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.5" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/singIn"
            android:layout_width="0dp"
            android:layout_height="52dp"
            android:layout_marginEnd="3dp"
            android:background="@mipmap/img_bg_kclb"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/guideline"
            app:layout_constraintStart_toStartOf="parent">

            <ImageView
                android:id="@+id/singIn_image"
                android:layout_width="26dp"
                android:layout_height="25dp"
                android:layout_marginStart="15dp"
                android:contentDescription="@null"
                android:src="@mipmap/icon_sy_qd"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:text="签到"
                android:textColor="@android:color/white"
                android:textSize="11sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/singIn_image"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="SmallSp" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/singOut"
            android:layout_width="0dp"
            android:layout_height="52dp"
            android:layout_marginStart="3dp"
            android:background="@mipmap/img_bg_kclb"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/guideline">

            <ImageView
                android:id="@+id/singOut_image"
                android:layout_width="26dp"
                android:layout_height="25dp"
                android:layout_marginStart="15dp"
                android:contentDescription="@null"
                android:src="@mipmap/icon_sy_lk"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:text="离开"
                android:textColor="@android:color/white"
                android:textSize="11sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/singOut_image"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="SmallSp" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="17dp"
        android:layout_marginTop="17dp"
        android:layout_marginBottom="13dp"
        app:layout_constraintBottom_toTopOf="@id/bottom_view"
        app:layout_constraintEnd_toStartOf="@id/right_view"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/titleBar">

        <FrameLayout
            android:id="@+id/container"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/bottom_view"
        android:layout_width="match_parent"
        android:layout_height="74dp"
        app:layout_constraintBottom_toBottomOf="parent">

        <View
            android:id="@+id/bulletin_bg"
            android:layout_width="0dp"
            android:layout_height="61dp"
            android:layout_marginEnd="258dp"
            android:layout_marginBottom="5dp"
            android:background="@mipmap/img_lbt_bg"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <xn.xxp.widget.LooperRecyclerView
            android:id="@+id/bulletinBoardView"
            android:layout_width="0dp"
            android:layout_height="61dp"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="50dp"
            app:layout_constraintBottom_toBottomOf="@id/bulletin_bg"
            app:layout_constraintEnd_toEndOf="@id/bulletin_bg"
            app:layout_constraintStart_toStartOf="@id/bulletin_bg" />

        <LinearLayout
            android:id="@+id/bottom_right"
            android:layout_width="280dp"
            android:layout_height="0dp"
            android:background="@mipmap/img_ztb_bg"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <LinearLayout
                android:id="@+id/labDesc"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="60dp"
                android:layout_marginTop="16dp"
                android:layout_weight="1"
                android:gravity="center_horizontal"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="34dp"
                    android:layout_height="34dp"
                    android:contentDescription="@null"
                    android:src="@mipmap/icon_sy_sysjj" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:text="实验室简介"
                    android:textColor="@android:color/white"
                    android:textSize="11sp"
                    tools:ignore="SmallSp" />

            </LinearLayout>

            <View
                android:layout_width="6dp"
                android:layout_height="39dp"
                android:layout_gravity="center_vertical"
                android:background="@mipmap/img_ztb_fg" />

            <LinearLayout
                android:id="@+id/accessVerify"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:layout_weight="1"
                android:gravity="center_horizontal"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="31dp"
                    android:layout_height="34dp"
                    android:contentDescription="@null"
                    android:src="@mipmap/icon_sy_sfyz" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:text="身份验证"
                    android:textColor="@android:color/white"
                    android:textSize="11sp"
                    tools:ignore="SmallSp" />

            </LinearLayout>

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>